# Record Class LHashSHA256

java.lang.Object
java.lang.Record
com.io7m.laurel.model.LHashSHA256

Record Components:
  `value` - The value

All Implemented Interfaces:
  `LHashType`

public record LHashSHA256(String value) extends Record implements LHashType
A SHA-256 hash value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LHashSHA256(String value)`
  A SHA-256 hash value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `name()`
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LHashSHA256

    public LHashSHA256(String value)
    A SHA-256 hash value.
    Parameters:
      `value` - The value

- ## Method Details

  - ### name

    public String name()
    Specified by:
      `name` in interface `LHashType`
    Returns:
      The hash algorithm name
    See Also:
      - "https://docs.oracle.com/en/java/javase/21/docs/specs/security/standard-names.html#messagedigest-algorithms"

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public String value()
    Returns the value of the `value` record component.
    Specified by:
      `value` in interface `LHashType`
    Returns:
      the value of the `value` record component